## gcc-4.6 4.6.1-maemo2

=== debian/changelog ===
gcc-4.6 (4.6.1-maemo2) unstable; urgency=low
	
  * Packaging issues

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Thu, 29 Sep 2011 12:25:31 +0020

gcc-4.6 (4.6.1-maemo1) unstable; urgency=low
	
  * For fremantle

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Tue, 27 Sep 2011 10:32:31 +0020
