=== debian/control ===
Source: gcc-4.6
Section: user/games
Priority: optional
Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
Build-Depends: dpkg-dev (>= 1.14.15), debhelper (>= 5), libc6-dev (>= 2.5),  m4, libtool, autoconf, automake, zlib1g-dev, gawk, lzma, xz-utils, patchutils, binutils (>= 2.18),
 gperf (>= 3.0.1), bison-2.4, flex, gettext, texinfo (>= 4.3), libmpfr-dev (>= 2.3.0), locales [!m68k !knetbsd-i386 !knetbsd-alpha], procps, sharutils,
 libcloog-ppl-dev (>= 0.15), dejagnu [!m68k !hurd-i386 !hurd-alpha], autogen, realpath (>= 1.9.12), chrpath, lsb-release, make-3.81, libgmp3-dev, libmpc-dev
Build-Depends-Indep: doxygen (>= 1.4.2), 
Standards-Version: 3.7.2
Homepage: http://gcc.gnu.org/
XSBC-Bugtracker: mailto:aapo.rantalainen@gmail.com

Package: gcc-4.6
Architecture: any
Depends: ${shlibs:Depends}
Description: The GNU C compiler
 This is the GNU C compiler, a fairly portable optimizing compiler for C.
