## gcc-4.6 4.6.1-maemo5

=== debian/changelog ===
gcc-4.6 (4.6.1-maemo5) oneiric; urgency=low

  * Fix PR target/50193 (ARM). ICE on a | (b << negative-constant).
  * Fix PR target/50099 (ARM). ICE in arm mode. LP: #838994.
  * gcc.c (for_each_path): Allocate memory for multiarch suffix.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 16 Sep 2011 13:53:30 +0200

gcc-4.6 (4.6.1-9ubuntu2) oneiric; urgency=low

  * Revert fix for PR middle-end/49886, causing PR middle-end/50295.
    LP: #841825.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 05 Sep 2011 18:08:32 +0200

gcc-4.6 (4.6.1-9ubuntu1) oneiric; urgency=low

  * Merge with Debian. Back-out:
    - For native builds, gcc -print-file-name now resolve . and ..,
      and removes the subminor version number.
  * gfortran updates fix gfortran ICE. LP: #841209.
  * No "ABI" changes from upstream.
  * No Linaro changes.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 05 Sep 2011 02:21:46 +0200

gcc-4.6 (4.6.1-9) unstable; urgency=low

  * Update to SVN 20110903 (r178501) from the gcc-4_6-branch.
    - Fix PR target/50090, PR middle-end/50116, PR target/50202, PR c/50179,
      PR c++/50157, PR fortran/50163, PR libfortran/50192,
      PR middle-end/49886, PR tree-optimization/50178, PR c++/50207,
      PR c++/50089, PR c++/50220, PR c++/50234, PR c++/50224,
      PR libstdc++/50268.

  [ Matthias Klose ]
  * Fix gcc --print-multilib-osdir for non-biarch architectures.
  * Fix multiarch for non-biarch builds. Closes: #635860.
  * Move the lto plugin to the cpp packge. Closes: #639531.

  [ Thorsten Glaser ]
  * [m68k] Disable multilib. Closes: #639303.

 -- Matthias Klose <doko@debian.org>  Sat, 03 Sep 2011 20:11:50 +0200

gcc-4.6 (4.6.1-8) unstable; urgency=low

  * Update to SVN 20110824 (r178027) from the gcc-4_6-branch.
    Fix PR fortran/49792, PR tree-optimization/48739, PR target/50092,
    PR c++/50086, PR c++/50054, PR fortran/50050, PR fortran/50130,
    PR fortran/50129, PR fortran/49792, PR fortran/50109, PR c++/50024,
    PR c++/46862.

  * Properly disable multilib builds for selected libraries on armel and armhf.
  * Update and re-enable the gcc-ice patch.
  * Update and re-enable the gcc-cloog-dl patch.
  * Fix [ARM] PR target/50090: aliases in libgcc.a with default visibility,
    taken from the trunk.
  * Re-work the multiarch patches.
  * Break older gcj-4.6 and gnat-4.6 versions, changed gcc_lib_dir.
  * Omit the target alias from the go libdir.
  * Linaro updates from the 4.6-2011.07-stable branch.
  * Revert:
    - libjava: Build with the system libffi PIC library.
  * For native builds, gcc -print-file-name now resolve . and ..,
    and removes the subminor version number.

 -- Matthias Klose <doko@debian.org>  Wed, 24 Aug 2011 10:22:42 +0200

gcc-4.6 (4.6.1-7ubuntu2) oneiric; urgency=low

  * Update to SVN 20110823 (r177982) from the gcc-4_6-branch.
    Fix PR fortran/49792, PR tree-optimization/48739, PR target/50092,
    PR c++/50086, PR c++/50054, PR fortran/50050, PR fortran/50130,
    PR fortran/50129, PR fortran/49792, PR fortran/50109.

  * Properly disable multilib builds for selected libraries on armel and armhf.
  * Update and re-enable the gcc-ice patch.
  * Update and re-enable the gcc-cloog-dl patch.
  * Fix [ARM] PR target/50090: aliases in libgcc.a with default visibility,
    taken from the trunk. LP: #823711.
  * Re-work the multiarch patches.
  * Break older gcj-4.6 and gnat-4.6 versions, changed gcc_lib_dir.
  * Omit the target alias from the go libdir.
  * Linaro updates from the 4.6-2011.07-stable branch.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 23 Aug 2011 09:26:22 +0200

gcc-4.6 (4.6.1-7ubuntu1) oneiric; urgency=low

  * Re-enable running the testsuite.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 16 Aug 2011 13:32:16 +0200

gcc-4.6 (4.6.1-7) unstable; urgency=low

  * Update to SVN 20110816 (r177780) from the gcc-4_6-branch.
    - Fix PR middle-end/49923.

  [ Matthias Klose ]
  * gcc-4.6-multilib: Depend on biarch quadmath library. Closes: #637174.
  * Don't hard-code build dependency on gcc-multilib.
  * Build-depends on python when building java.
  * Fix thinko in java::lang::Class::finalize (taken from the trunk).
  * Add support for ARM 64bit sync intrinsics (David Gilbert). Only
    enable for armv7 or better.
  * libjava: Build with the system libffi PIC library.
  * Disable gnat multilib builds on armel and armhf.

  Merge from gnat-4.6 (4.6.1-4) unstable; urgency=low

  [Ludovic Brenta]
  * debian/patches/ada-symbolic-tracebacks.diff
    (src/gcc/ada/gcc-interface/Makefile.in): pass -iquote instead of -I-
    to gnatgcc; fixes FTBFS on i386 and closes: #637418.

  Merge from gnat-4.6 (4.6.1-3) unstable; urgency=low

  [Євгеній Мещеряков]
  * debian/patches/ada-mips.diff: do not use the alternate stack on mips,
    as on mipsel.  Closes: #566234.

  [Ludovic Brenta]
  * debian/patches/pr49940.diff: new; copy the definition of function
    lwp_self from s-osinte-freebsd.ads to s-osinte-kfreebsd-gnu.ads.
    Closes: #636291.
  * debian/patches/pr49944.diff: new.  Closes: #636692.
  * debian/patches/pr49819.diff: drop, merged upstream.

 -- Matthias Klose <doko@debian.org>  Tue, 16 Aug 2011 13:11:25 +0200

gcc-4.6 (4.6.1-6ubuntu6) oneiric; urgency=low

  * Regenerate the control file.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 13 Aug 2011 08:31:18 +0200

gcc-4.6 (4.6.1-6ubuntu5) oneiric; urgency=low

  * gcc-4.6-multilib: Depend on biarch quadmath library. Closes: #637174.
  * Remove the build-dependency on gcc-multilib for this build.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 13 Aug 2011 08:09:33 +0200

gcc-4.6 (4.6.1-6ubuntu3) oneiric; urgency=low

  * Update to SVN 20110811 (r177683) from the gcc-4_6-branch.
    - Fix PR middle-end/49923.
  * gcc-4.6-multilib: Depend on biarch quadmath library. Closes: #637174.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 11 Aug 2011 22:43:18 +0200

gcc-4.6 (4.6.1-6ubuntu2) oneiric; urgency=low

  * Merge with Debian.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 07 Aug 2011 18:28:58 +0200


