## gcc-4.6 4.6.1-maemo6

=== debian/changelog ===
gcc-4.6 (4.6.1-maemo6) unstable; urgency=low

  * Compile only ARM package (i386 wants build multiarch for 64bit) 

 -- Aapo Rantalainen <aapo.rantalaineno@gmail.com>  Wed, 30 May 2012 08:48:30 +0200
